漏洞信息详情

Ruby gyazo gem 安全漏洞

漏洞简介

Ruby gyazo gem是一款用于分享和保存各类数据的工具。

Ruby gyazo gem 1.0.0版本中的lib/gyazo/client.rb文件存在安全漏洞。本地攻击者可通过对临时文件实施符号链接攻击利用该漏洞对任意文件执行写入操作。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://rubygems.org/gems/gyazo

参考网址

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2014/07/07/13

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2014/07/17/5

来源:MISC

链接:http://www.vapid.dhs.org/advisories/gyazo-1.0.0.html

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多